<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www..hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

include_once("../include/label.php");

$Param=$_SERVER['QUERY_STRING'];	

	$ID=SafeRequest("ID","get","zr");

	if($ID=="" and $Param!=""){

		if(stristr($Param,S_UrlList)){

			$ID=ReplaceStr($Param,S_UrlList,"");

			$ID=preg_replace("/.".S_Dtsuffix."(.*?)$/",'',$ID);

			$pages=SafeRequest("pages","get");

			if(!IsNum($ID)) die("参数传输错误");

			  $cache_id = 't_'.$ID.'_'.$pages;

			  if(!($cache_opt->start($cache_id))){

				   echo SpanTopicShow($ID);

				  $cache_opt->end();

			  }

			}

		else{

				$pages=SafeRequest("pages","get","zr");

				$cache_id = 't_'.'_'.$pages;

				 if(!($cache_opt->start($cache_id))){

				  echo SpanTopicList();

				  $cache_opt->end();

			 	}

			}	

		}

	else{		

		if($ID!=""){

			$ID=ReplaceStr($ID,S_UrlList,"");

			$pages=SafeRequest("pages","get","zr");

			if(!IsNum($ID)){die("参数传输错误");}

			  $cache_id = 't_'.$ID.'_'.$pages;

			  if(!($cache_opt->start($cache_id))){

				  echo SpanTopicShow($ID);

				  $cache_opt->end();

			  }

			}

		else{

				$pages=SafeRequest("pages","get","zr");

				$cache_id = 't_'.'_'.$pages;

				 if(!($cache_opt->start($cache_id))){

				   echo SpanTopicList();

				   $cache_opt->end();

			 	}

			}



		}	

	

?>